extern crate cairo;
extern crate gdk;
extern crate gtk;
extern crate rand;
extern crate failure;
extern crate image;
extern crate zip;
extern crate serde;
#[macro_use] extern crate serde_derive;
extern crate serde_json;

pub mod cfg;
pub mod constants;
pub mod grammar;
pub mod model;
pub mod strings;
pub mod view;

fn main() {
    let cfg = cfg::ducartes_args();
    let state = model::State::new(cfg);
    view::App::run();
}
